#!/bin/sh 

# this is the configuration file that helps setup for
# a kernel pool for UML compilation w/FreeSWAN.
#

# set this to someplace with at least 100Mb free.
POOLSPACE=/c2/freeswan/umlbuild

# find the top of the *build* tree. This assumes that we are 
# working within it. Look at most 10 directories up, then fail
# over to user intervention.
top='.'
for i in 0 1 2 3 4 5 6 7 8 9
do
    if [ ! -f $top/umlsetup.sh ]
    then
	top="../$top"
    else
	break
    fi
done

BUILDTOP=$top
if [ ! -f $BUILDTOP/umlsetup.sh ]
then
    BUILDTOP=mybuildtop
fi

if [ ! -f $BUILDTOP/umlsetup.sh ]
then
    echo Please set BUILDTOP manually.
    exit 1
fi

# set this to original kernel source
# could be native build:
#KERNPOOL=/usr/src/linux
#
# or something you downloaded.
KERNPOOL=/c2/kernel/linux-2.4.9/linux

# set this to the UML tar file, gotten from, e.g.
#     http://ftp.nl.linux.org/uml/uml-patch-2.4.9-7.bz2
#
UMLPATCH=/c2/user-mode-linux/download/uml-patch-2.4.9-7.bz2

# set this to a freshly checked out repository/snapshot
FREESWANDIR=${BUILDTOP-/c2/freeswan/sandbox}

# set this to an unpacked copy of the root file system you want.
# a small-ish one is at:
#     http://www.sandelman.ottawa.on.ca/freeswan/uml/
#
# umlfreeroot-2.0.tar.gz  is 6Mb, unpacks to around 21Mb.
#
# umlfreesharemini.tar.gz is 3Mb, unpacks to around 8Mb.
# umlfreeshareall.tar.gz is 6Mb, unpacks to around 26Mb.
#

# I did 
#   mkdir -p /c2/user-mode-linux/basic-root
#   cd /c2/user-mode-linux/basic-root
#   nftp -o - http://www.sandelman.ottawa.on.ca/freeswan/uml/umlfreeroot.tar.gz | tar xzvf - 
#  (or ncftp, or whatever your favorite program is)
#
BASICROOT=/c2/user-mode-linux/basic-root/root

# the mini /usr/share has Canada zoneinfo and "en" locale only.
# the all one has everything from the original UML debian root.
# I run debian, so I can just use my native /usr/share!
SHAREDIR=/usr/share

REGULARHOSTS='sunrise sunset'
FREESWANHOSTS='east west'




